module initial_i

 interface
subroutine initial(params,tempt_,g_,k_,c_,tempv_)
  use input_params
  use tensors
  real*8, dimension(100) :: params
  type(gridfunction), dimension(3)   :: tempv_ 
  type(gridfunction), dimension(3,3) :: g_,k_,tempt_
  type(gridfunction), dimension(3,3,3):: c_ 
  integer :: i
  integer :: nx,ny,nz
  integer :: llx,lly,llz

 end subroutine 
 end interface 

 end module
